/*
 * Card.java
 *
 * Created on 24 November 2006, 07:52
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package pishti;

/**
 *
 * @author onur
 */
public class Card {
    
    public static final int DIAMONDS = 0;
    public static final int CLUBS = 1;
    public static final int SPADES = 2;
    public static final int HEARTS = 3;
    
    private int value;
    private int type;
    
    /** Creates a new instance of Card */
    public Card(int value, int type)
    {
        this.value = value;
        this.type = type;
    }
    
    public int getValue()
    {
        return value;
    }
    
    public String getValueStr()
    {
        switch(value)
        {
            case 1:
                return "a";
            case 11:
                return "j";
            case 12:
                return "q";
            case 13:
                return "k";
            default:
                return String.valueOf(value);
        }
    }
    
    public int getType()
    {
        return type;
    }
    
    public String getTypeStr()
    {
        switch(type)
        {
            case DIAMONDS:
                return "diamonds";
            case CLUBS:
                return "clubs";
            case SPADES:
                return "spades";
            case HEARTS:
                return "hearts";
            default:
                return null;
        }
    }
    
    public String toString()
    {
        return getTypeStr() + " " + getValueStr();
    }
    
}
