/*
 * Pile.java
 *
 * Created on 24 November 2006, 07:51
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package pishti;

import java.util.Collections;
import java.util.Random;
import java.util.Stack;
import java.util.Vector;

/**
 *
 * @author onur
 */
public class Pile {
    
    protected Stack cards;
    
    /** Creates a new instance of Pile */
    public Pile() 
    {
        cards = new Stack();
        
        for(int i=1; i<14; i++)
            for(int j=0; j<4; j++)
            {
                Card c = new Card(i, j);
                cards.push(c);
            }
        Collections.shuffle(cards, new Random(System.currentTimeMillis()));
        
        if(PishtiVisualiserApplet.DEBUG) System.out.println("Initial pile: " + cards);
    }
    
    public boolean isEmpty()
    {
        return cards.isEmpty();
    }
    
    public Vector getTopFourCards()
    {
        Vector v = new Vector();
        for(int i=0; i<4; i++)
            v.add(cards.pop());
        return v;
    }
    
}
